> For the complete documentation index, see [llms.txt](https://docs.sec1.io/user-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sec1.io/user-docs/2-integration-with-sec1/5-integration-with-cli/commands/config.md).

# Config

## Usage

`sec1 config [<OPTIONS>]`

## Description

The `sec1 config` command allows user to set configuration required by Sec1 CLI.

## Debug

Use the `--debug` option to output the debug logs.

## Options

### `--show`

Lists configuration set by user.

### `-apiKey <apiKey>`

Set API key to communicate with Sec1 API's

### `--apiEndpoint <url>`

Set Sec1 API endpoint url. (default: "<https://api.sec1.io>")

### `--accessToken <base64EncodedAccessToken>`

Base64 encoded access token of the user in the form of `username:pat`. PAT is your personal access token. This will be used to access the repository for scanning


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sec1.io/user-docs/2-integration-with-sec1/5-integration-with-cli/commands/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
